package com.flossom.system.service;

import com.flossom.common.core.domain.entity.WxUserTag;

import java.util.List;

/**
 * 微信用户标签关联Service接口
 *
 * @author flossom
 * @date 2023-12-19
 */
public interface IWxUserTagService {
    /**
     * 查询微信用户标签关联
     *
     * @param id 微信用户标签关联主键
     * @return 微信用户标签关联
     */
    public WxUserTag selectWxUserTagById(Long id);

    /**
     * 查询微信用户标签关联列表
     *
     * @param wxUserTag 微信用户标签关联
     * @return 微信用户标签关联集合
     */
    public List<WxUserTag> selectWxUserTagList(WxUserTag wxUserTag);

    /**
     * 新增微信用户标签关联
     *
     * @param wxUserTag 微信用户标签关联
     * @return 结果
     */
    public int insertWxUserTag(WxUserTag wxUserTag);

    /**
     * 修改微信用户标签关联
     *
     * @param wxUserTag 微信用户标签关联
     * @return 结果
     */
    public int updateWxUserTag(WxUserTag wxUserTag);

    /**
     * 批量删除微信用户标签关联
     *
     * @param ids 需要删除的微信用户标签关联主键集合
     * @return 结果
     */
    public int deleteWxUserTagByIds(Long[] ids);

    /**
     * 删除微信用户标签关联信息
     *
     * @param id 微信用户标签关联主键
     * @return 结果
     */
    public int deleteWxUserTagById(Long id);

    /**
     * 删除微信用户标签关联
     *
     * @param tagId 标签关联主键
     * @return 结果
     */
    public int deleteWxUserTagByTagId(Long tagId);
}
